Skip to main content
GET
/
v1
/
agents
/
{passportId}
/
blue
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.agents.launch.lucidGetBlueDeployment({
    passportId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "deployment": {
    "deployment_id": "<string>",
    "slot": "blue",
    "status": "<string>",
    "url": "<string>",
    "healthy": true,
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

passportId
string
required

Agent passport identifier

Response

OK

success
boolean
deployment
object